---
title: Authentication
description: The following are Ping Autonomous Identity authentication endpoints:
component: autonomous-identity
version: 2022.11.12
page_id: autonomous-identity:api-guide:chap-authentication-api
canonical_url: https://docs.pingidentity.com/autonomous-identity/2022.11.12/api-guide/chap-authentication-api.html
section_ids:
  post_apiauthenticationlogin: POST /api/authentication/login
  api-authentication-verify: GET /api/authentication/verify
  post_apiauthenticationrenewtoken: POST /api/authentication/renewToken
  get_apiauthenticationactions: GET /api/authentication/actions
---

# Authentication

The following are Ping Autonomous Identity authentication endpoints:

## POST /api/authentication/login

* POST /api/authentication/login

  Log in to the system. The endpoint accepts the `username` and `password` in the body of the request. The token provided has an expiry date that can be obtained by decoding the returned JWT and using the `exp` data inside the token. \[All]

  Endpoint

  ```
  /api/authentication/login
  ```

  Headers

  ```
  Content-Type      application/json
  ```

  Body

  ```
  {
  	"username": "admin@test.com",
  	"password": "test"
  }
  ```

  Example Request

  ```
  curl --location --request POST 'https://autoid-api.forgerock.com/api/authentication/login' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  	"username": "admin@test.com",
  	"password": "test"
  }'
  ```

  Example Response

  ```
  {
    "user": {
      "dn": "cn=test.user@test.com,dc=example,dc=org",
      "controls": [],
      "gidNumber": "7777",
      "uid": "test.user",
      "displayName": "Test User",
      "_groups": [
        "Admin"
      ]
    },
    "token": "123456"
  }
  ```

## GET /api/authentication/verify

* GET /api/authentication/verify

  Verify the authenticity of a bearer token.

  Endpoint

  ```
  /api/authentication/verify
  ```

  Authorization

  ```
  Token             <token>
  ```

  Headers

  ```
  Content-Type      application/json
  ```

  Body

  ```
  ''
  ```

  Example Request

  ```
  curl --location --request GET 'https://autoid-api.forgerock.com/api/authentication/verify' \
  --header 'Content-Type: application/json'
  ```

  Example Response

  ```
  {
    "user": {
      "controls": [],
      "displayName": "Bob Rodgers",
      "email": "bob.rodgers@forgerock.com",
      "dn": "cn=bob.rodgers@forgerock.com,ou=People,dc=zoran,dc=com",
      "gidNumber": "999",
      "uid": "bob.rodgers",
      "_groups": [
        "Zoran Admin"
      ],
      "iat": 1628893019,
      "exp": 1628936219,
      "aud": "http://my.service",
      "sub": "6711197"
    }
  }
  ```

## POST /api/authentication/renewToken

* POST /api/authentication/renewToken

  Renew a token for the system. The endpoint accepts the JWT in the header `Authorization: Bearer JWT`. The expiry time of the token is reset and return in the new token. \[All]

  Endpoint

  ```
  /api/authentication/renewToken
  ```

  Authorization

  ```
  Token             <token>
  ```

  Headers

  ```
  Content-Type      application/json
  ```

  Body

  ```
  ''
  ```

  Example Request

  ```
  curl --location --request POST 'https://autoid-api.forgerock.com/api/authentication/renewToken' \
  --header 'Content-Type: application/json' \
  --data-raw ''
  ```

  Example Response

  ```
  {
    "user": {
      "dn": "cn=test.user@test.com,dc=example,dc=org",
      "controls": [],
      "gidNumber": "7777",
      "uid": "test.user",
      "displayName": "Test User",
      "_groups": [
        "Admin"
      ]
    },
    "token": "123456"
  }
  ```

## GET /api/authentication/actions

* GET /api/authentication/actions

  Retrieve the permitted actions of the currently authenticated user. \[All]

  Endpoint

  ```
  /api/authentication/action
  ```

  Headers

  ```
  Content-Type      application/json
  ```

  Example Request

  ```
  curl --location --request GET 'https://autoid-api.forgerock.com/api/authentication/actions' \
  --header 'Content-Type: application/json'
  ```

  Example Response

  ```
  {
    "userActions": [
      "*"
    ],
    "roleTitle": "Unknown",
    "homepage": "company"
  }
  ```
